package com.kmall.api.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 实体
 * 表名 mall_merch
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-12-05 18:06:35
 */
public class MerchVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 商户编号
     */
    private String merchSn;
    /**
     * 商户名称
     */
    private String merchName;
    /**
     * 商户简称
     */
    private String merchShortName;
    /**
     * 商户图片
     */
    private String merchImg;
    /**
     * 排序
     */
    private Integer sortOrder;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：商户编号
     */
    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    /**
     * 获取：商户编号
     */
    public String getMerchSn() {
        return merchSn;
    }
    /**
     * 设置：商户名称
     */
    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    /**
     * 获取：商户名称
     */
    public String getMerchName() {
        return merchName;
    }
    /**
     * 设置：商户简称
     */
    public void setMerchShortName(String merchShortName) {
        this.merchShortName = merchShortName;
    }

    /**
     * 获取：商户简称
     */
    public String getMerchShortName() {
        return merchShortName;
    }
    /**
     * 设置：商户图片
     */
    public void setMerchImg(String merchImg) {
        this.merchImg = merchImg;
    }

    /**
     * 获取：商户图片
     */
    public String getMerchImg() {
        return merchImg;
    }
    /**
     * 设置：排序
     */
    public void setSortOrder(Integer sortOrder) {
        this.sortOrder = sortOrder;
    }

    /**
     * 获取：排序
     */
    public Integer getSortOrder() {
        return sortOrder;
    }
    /**
     * 设置：备注
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 获取：备注
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
